# SRC_DIR := ./srcs
OBJ_DIR := ../objs
BIN_DIR := ../bin
CC = gcc
TARGET = $(BIN_DIR)/main
# SRC =  $(SRC_DIR)/lrc.c $(SRC_DIR)/console.c $(SRC_DIR)/start_mplayer.c $(SRC_DIR)/main.c
OBJ =  $(OBJ_DIR)/lrc.o $(OBJ_DIR)/console.o $(OBJ_DIR)/start_mplayer.o $(OBJ_DIR)/time_delay.o $(OBJ_DIR)/main.o

# $(OBJ_DIR)/%.o: %.c
# 	$(CC) -c $< -o $@

$(OBJ_DIR)/%.o: %.c
	$(CC) -c $< -o $@

$(TARGET): $(OBJ)
	$(CC) $^ -o $@

clean:
	rm -rf $(OBJ_DIR)/*.o $(TARGET)